PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zcgels_Tile | ( | PLASMA_enum | trans,
|  | PLASMA_desc * | A,
|  | PLASMA_desc * | T,
|  | PLASMA_desc * | B,
|  | PLASMA_desc * | X,
|  | int * | ITER
| ) |  |

PLASMA_zcgels_Tile - Solves overdetermined or underdetermined linear system of equations using the tile QR or the tile LQ factorization and mixed-precision iterative refinement. Tile equivalent of PLASMA_zcgesv(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | trans | Intended usage: = PlasmaNoTrans: the linear system involves A; = PlasmaConjTrans: the linear system involves A**H. Currently only PlasmaNoTrans is supported.
  [in,out] | A | If the iterative refinement converged, A is not modified; otherwise, it fell back to double precision solution, and on exit the M-by-N matrix A contains: if M >= N, A is overwritten by details of its QR factorization as returned by PLASMA_zgeqrf; if M < N, A is overwritten by details of its LQ factorization as returned by PLASMA_zgelqf.
  [out] | T | On exit: if the iterative refinement converged, T is not modified; otherwise, it fell back to double precision solution, and then T is an auxiliary factorization data.
  [in,out] | B | On entry, the M-by-NRHS matrix B of right hand side vectors, stored columnwise; On exit, if return value = 0, B is overwritten by the solution vectors, stored columnwise: if M >= N, rows 1 to N of B contain the least squares solution vectors; the residual sum of squares for the solution in each column is given by the sum of squares of the modulus of elements N+1 to M in that column; if M < N, rows 1 to N of B contain the minimum norm solution vectors;
  [in] | B | The descriptor of the M-by-NRHS matrix B of right hand side vectors, stored columnwise. Not modified.
  [in,out] | X | On entry, it's only the descriptor where to store the result. On exit, if return value = 0, X is the solution vectors, stored columnwise: if M >= N, rows 1 to N of X contain the least squares solution vectors; the residual sum of squares for the solution in each column is given by the sum of squares of the modulus of elements N+1 to M in that column; if M < N, rows 1 to N of X contain the minimum norm solution vectors;
  [out] | ITER | If > 0, ITER is the number of the current iteration in the iterative refinement process. -ITERMAX-1, if the refinment step failed and the double precision factorization has been used.

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_zcgels
  PLASMA_zcgels_Tile_Async
  PLASMA_dsgels_Tile
  PLASMA_zgels_Tile